lxpanel_0.9.3-1ubuntu3_amd64.deb


Advertisement

Description

lxpanel - LXDE panel

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package filename lxpanel_0.9.3-1ubuntu3_amd64.deb
Package name lxpanel
Package version 0.9.3
Package release 1ubuntu3
Package architecture amd64
Package type deb
Category universe/x11
Homepage http://www.lxde.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 207.97 KB
Installed size 792.00 KB
LXPanel is a GUI application for the Lightweight X11 Desktop Environment
(LXDE).
It is derived from fbpanel and includes the following features:
* User-friendly application menu automatically generated from .desktop
files on the system
* Launcher bar (small icons clicked to launch apps)
* Task bar supporting ICCCM/EWMH `urgency' hint (Pidgin IM windows
can flash on new incoming messages)
* Run dialog (type a command to run, without opening a terminal)
* Net status icon plug-in (optional).
* Volume control plug-in (optional).
* Notification area (system tray).
* Digital clock.
* Keyboard LEDs plug-in (display caps/num locks).
* lxpanelctl: control lxpanel from other programs.
For example, "lxpanelctl run" will show the Run dialog in lxpanel,
and "lxpanelctl menu" will show the application menu. This is
useful in combination with window manager key bindings.

Alternatives

Package Version Architecture Repository
lxpanel_0.9.3-1ubuntu3_i386.deb 0.9.3 i386 Ubuntu Universe
lxpanel - - -

Requires

Name Value
libasound2 >= 1.0.16
libc6 >= 2.14
libcairo2 >= 1.2.4
libfm-gtk4 >= 1.2.0
libfm-modules -
libfm4 >= 1.2.0
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.41.1
libgtk2.0-0 >= 2.24.0
libiw30 >= 30~pre1
libkeybinder0 >= 0.2.1
libmenu-cache3 >= 0.5.0
libpango-1.0-0 >= 1.14.0
libwnck22 >= 1:2.30.7
libx11-6 -
libxml2 >= 2.7.4
lxmenu-data -
lxpanel-data = 0.9.3-1ubuntu3

Download

Type URL
Mirror archive.ubuntu.com
Binary Package lxpanel_0.9.3-1ubuntu3_amd64.deb
Source Package lxpanel

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lxpanel deb package:
    # sudo apt-get install lxpanel

Files

Path
/etc/xdg/lxpanel/default/config
/etc/xdg/lxpanel/default/panels/panel
/etc/xdg/lxpanel/two_panels/config
/etc/xdg/lxpanel/two_panels/panels/bottom
/etc/xdg/lxpanel/two_panels/panels/top
/usr/bin/lxpanel
/usr/bin/lxpanelctl
/usr/lib/x86_64-linux-gnu/lxpanel/liblxpanel.so.0
/usr/lib/x86_64-linux-gnu/lxpanel/liblxpanel.so.0.0.0
/usr/lib/x86_64-linux-gnu/lxpanel/plugins/batt.so
/usr/lib/x86_64-linux-gnu/lxpanel/plugins/bluetooth.so
/usr/lib/x86_64-linux-gnu/lxpanel/plugins/cpu.so
/usr/lib/x86_64-linux-gnu/lxpanel/plugins/cpufreq.so
/usr/lib/x86_64-linux-gnu/lxpanel/plugins/deskno.so
/usr/lib/x86_64-linux-gnu/lxpanel/plugins/kbled.so
/usr/lib/x86_64-linux-gnu/lxpanel/plugins/monitors.so
/usr/lib/x86_64-linux-gnu/lxpanel/plugins/netstat.so
/usr/lib/x86_64-linux-gnu/lxpanel/plugins/netstatus.so
/usr/lib/x86_64-linux-gnu/lxpanel/plugins/thermal.so
/usr/lib/x86_64-linux-gnu/lxpanel/plugins/volume.so
/usr/lib/x86_64-linux-gnu/lxpanel/plugins/weather.so
/usr/lib/x86_64-linux-gnu/lxpanel/plugins/xkb.so
/usr/share/applications/lxde-x-terminal-emulator.desktop
/usr/share/applications/lxde-x-www-browser.desktop
/usr/share/doc/lxpanel/NEWS.Debian.gz
/usr/share/doc/lxpanel/README
/usr/share/doc/lxpanel/README.Debian
/usr/share/doc/lxpanel/changelog.Debian.gz
/usr/share/doc/lxpanel/copyright
/usr/share/lintian/overrides/lxpanel
/usr/share/man/man1/lxpanel.1.gz
/usr/share/man/man1/lxpanelctl.1.gz
/usr/share/man/man5/lxpanel.hints.5.gz

Changelog

2018-04-24 - Steve Langasek <steve.langasek@ubuntu.com>
lxpanel (0.9.3-1ubuntu3) bionic; urgency=medium
* Set the preferred alternative for x-terminal-emulator.  LP: #1766478.
2017-05-17 - Julien Lavergne <gilir@ubuntu.com>
lxpanel (0.9.3-1ubuntu2) artful; urgency=medium
* debian/patches/05_bluetooth_applet.patch
-  Add bluetooth applet support.
* debian/images, debian/lxpanel-data.install & debian/source/include-binaries
- Install bluetooth applet images.
* debian/lxpanel.install
- Install bluetooth plugin.
2017-01-20 - Simon Quigley <tsimonq2@ubuntu.com>
lxpanel (0.9.3-1ubuntu1) zesty; urgency=medium
* Merge from Debian Sid (LP: #1652879). Remaining changes:
- debian/control
+ Add libindicator-dev build-depends.
+ Add lxpanel-indicator-applet-plugin binary.
+ Add build-depends on libicu-dev for weather plugin.
+ Update Replaces and Breaks on lxpanel-data (LP: #1417244).
- debian/lxpanel.install
+ Install all plugins except indicators.
- debian/lxpanel-indicator-applet-plugin.install
+ Install indicator plugin.
- debian/rules
+ Add --enable-indicator-support flag.
+ Add dh_install --fail-missing.
+ Re-enable dh_makeshlibs, FTBFS with lxpanel-indicator-applet-plugin.
- debian/patches
+ 04_disable_gtk3_indicators.patch: Hide incompatible indicators in the
preference menu (LP: #1165245).
2017-01-20 - Andriy Grytsenko <andrej@rep.kiev.ua>
lxpanel (0.9.3-1) unstable; urgency=medium
* Merging upstream version 0.9.3.
2016-12-24 - Andriy Grytsenko <andrej@rep.kiev.ua>
lxpanel (0.9.2-1) unstable; urgency=medium
* Replacing deprecated iceweasel with firefox-esr in Suggests.
* Adding firefox as an alternative to firefox-esr: Ubuntu does not have a
package firefox-esr.
* Merging upstream version 0.9.2 (Closes: #845555).
* Adding lintian override for "allign" word which is an old compatibility key.
* Using https for VCS fields in debian/control file.
2016-11-26 - Julien Lavergne <gilir@ubuntu.com>
lxpanel (0.9.1-1ubuntu1) zesty; urgency=medium
* Merge with Debian unstable. Ubuntu remaining changes:
* debian/control:
- Add libindicator-dev build-depends.
- Add lxpanel-indicator-applet-plugin binary.
- Add build-depends on libicu-dev for weather plugin.
- Update Replaces and Breaks on lxpanel-data (LP: #1417244).
* debian/lxpanel.install:
- Install all plugins except indicators.
* debian/lxpanel-indicator-applet-plugin.install:
- Install indicator plugin.
* debian/rules:
- Add --enable-indicator-support flag.
- Add dh_install --fail-missing.
- Re-enable dh_makeshlibs, FTBFS with lxpanel-indicator-applet-plugin.
* debian/patches:
- 04_disable_gtk3_indicators.patch: Hide incompatible indicators in the
preference menu (LP: #1165245).
2016-11-21 - Andriy Grytsenko <andrej@rep.kiev.ua>
lxpanel (0.9.1-1) unstable; urgency=medium
[ Andriy Grytsenko ]
* Merging upstream version 0.9.1 (Closes: #845060).
* Using aumix-gtk on !linux-any instead of gnome-alsamixer.
[ Pino Toscano ]
* Making sure that ALSA is always disabled for non-Linux architectures.
2016-11-19 - Andriy Grytsenko <andrej@rep.kiev.ua>
lxpanel (0.9.0-1) unstable; urgency=medium
* Merging upstream version 0.9.0 (Closes: #831866, LP: #824071, #1445818,
#1474936, #1490098, #1537334, #1533308, #1539930, #1555649, #1581708,
#1583833, #1615326).
* Bump Standards-Version to 3.9.8.
* Updating debian/lxpanel.lintian-overrides for multiarch.
* Updating lxpanel.hints.5 manpage.
* Updating debian/lxpanel.README.Debian removing section about lxpanel-dev.
* Updating debian/copyright file.
2016-02-27 - Julien Lavergne <gilir@ubuntu.com>
lxpanel (0.8.2-1ubuntu2) xenial; urgency=medium
* debian/lxpanel.install:
- Don't install apport hook, already installed in lxpanel-data.
* debian/control:
- Update Replaces and Breaks on lxpanel-data, to reflect the move of apport
hook from lxpanel to lxpanel-data.

See Also

Package Description
lxpolkit_0.5.3-2ubuntu1_amd64.deb LXDE PolicyKit authentication agent
lxqt-about-l10n_0.12.0-4ubuntu1_all.deb Language package for lxqt-about
lxqt-about_0.12.0-4_amd64.deb About screen for LXQt
lxqt-admin-l10n_0.12.0-4ubuntu1_all.deb Language package for lxqt-admin
lxqt-admin_0.12.0-4_amd64.deb Admin tools for LXQt
lxqt-build-tools_0.4.0-5_all.deb Build tools for the LXQt desktop environment
lxqt-common_0.11.2-2_all.deb Common files for LXQt
lxqt-config-l10n_0.12.0-4ubuntu1_all.deb Language package for lxqt-config
lxqt-config_0.12.0-3_amd64.deb LXQt system settings center
lxqt-core_25_all.deb Metapackage for the LXQt core
lxqt-globalkeys-l10n_0.12.0-4ubuntu1_all.deb Language package for lxqt-globalkeys
lxqt-globalkeys_0.12.0-3ubuntu1_amd64.deb daemon used to register global keyboard shortcuts (appl.)
lxqt-notificationd-l10n_0.12.0-4ubuntu1_all.deb Language package for lxqt-notificationd
lxqt-notificationd_0.12.0-3_amd64.deb LXQt notification daemon
lxqt-openssh-askpass-l10n_0.12.0-4ubuntu1_all.deb Language package for lxqt-openssh-askpass
Advertisement
Advertisement